module ORMakers
  class DBCredentials
    def initialize(url = ENV['DATABASE_URL'])
      @url = url[11..-1]
    end

    def to_hash
      {
        host: host,
        port: port,
        dbname: dbname,
        user: user,
        password: password,
        sslmode: 'require'
      }
    end

    private

    def user
      @url.split('@').first.split(':').first
    end

    def password
      @url.split('@').first.split(':').last
    end

    def dbname
      @url.split('@').last.split('/').last
    end

    def host
      @url.split('@').last.split('/').first.split(':').first
    end

    def port
      @url.split('@').last.split('/').first.split(':').last
    end
  end
end
